### Method

# GimpUi ColorNotebook set_has_page

#### Declaration [src]

    GtkWidget*
    gimp_color_notebook_set_has_page (
      GimpColorNotebook* notebook,
      GType page_type,
      gboolean has_page
    )

#### Description [src]

This function adds and removed pages to / from a `GimpColorNotebook`. The `page_type` passed must be a `GimpColorSelector` subtype.

#### Parameters

`page_type` | `GType`
| The `GType` of the notebook page to add or remove.
`has_page` | `gboolean`
| Whether the page should be added or removed.

#### Return value

Returns: | `GtkWidget`
| The new page widget, if `has_page` was `TRUE`, or `NULL` if `has_page` was `FALSE`.
| The data is owned by the instance.